commit 39e3951a5a51fa75a5b79b1f06fcdeb62bc859a2
Author: freddy77 <freddy77>
Date:   Mon Jan 21 15:34:32 2008 +0000

    merge fix for date/time from Dann Corbit

diff --git a/ChangeLog b/ChangeLog
index f8be023..1b49d15 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Mon Jan 21 16:33:58 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/odbc_util.c:
+	- merge fix for date/time from Dann Corbit
+
 Sun Jan 20 17:36:34 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/connectparams.c: remove warning
 
@@ -83,4 +87,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2474 2008/01/20 16:36:51 freddy77 Exp $
+$Id: ChangeLog,v 1.2475 2008/01/21 15:34:32 freddy77 Exp $
diff --git a/src/odbc/odbc_util.c b/src/odbc/odbc_util.c
index fb38d5b..06a4d07 100644
--- a/src/odbc/odbc_util.c
+++ b/src/odbc/odbc_util.c
@@ -38,7 +38,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc_util.c,v 1.94 2007/06/19 13:31:34 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc_util.c,v 1.95 2008/01/21 15:34:32 freddy77 Exp $");
 
 /**
  * \ingroup odbc_api
@@ -562,10 +562,12 @@ odbc_sql_to_displaysize(int sqltype, TDSCOLUMN *col)
 		size = col->column_prec + 2;
 		break;
 	case SQL_DATE:
+	case SQL_TYPE_DATE:
 		/* FIXME check always yyyy-mm-dd ?? */
 		size = 19;
 		break;
 	case SQL_TIME:
+	case SQL_TYPE_TIME:
 		/* FIXME check always hh:mm:ss[.fff] */
 		size = 19;
 		break;

